#ifndef __ABC800_KEYBOARD_H__
#define __ABC800_KEYBOARD_H__
#include <Arduino.h>
#include "abc800_config.h"
namespace abc800 {
	class keyboard {
	    public:
		    void init();
            uint8_t getABC800Keycode(key800queue keyqueue);
            uint8_t specialABC800Keycode(key800queue keyqueue);
            key800queue getKeyboardKeycode(uint8_t abc800key);
            uint8_t repeat_abc800_key();
            uint8_t check_abc800_key ();
            uint8_t abc800_old_key; 
        private:
            
	};
}
#endif 